# nng_log_set_facility(3) Manual Page

## NAME

nng_log_set_facility - set facility used for log messages

## SYNOPSIS

    #include <nng/nng.h>

    typedef enum nng_log_facility {
    	NNG_LOG_USER   = 1,
    	NNG_LOG_DAEMON = 3,
    	NNG_LOG_AUTH   = 10,
    	NNG_LOG_LOCAL0 = 16,
    	NNG_LOG_LOCAL1 = 17,
    	NNG_LOG_LOCAL2 = 18,
    	NNG_LOG_LOCAL3 = 19,
    	NNG_LOG_LOCAL4 = 20,
    	NNG_LOG_LOCAL5 = 21,
    	NNG_LOG_LOCAL6 = 22,
    	NNG_LOG_LOCAL7 = 23,
    } nng_log_facility;

    void nng_log_set_facility(nng_log_facility facility);

## DESCRIPTION

The `nng_log_set_facility` is used to set the facility of the application posting logs. This is used to assist with directing log content when handled by services such as `syslog`.

Note that while the log levels used here overlap with common levels used by the syslog facility on POSIX systems, applications should not rely on this.

## SEE ALSO

nng_log_set_level(3)